#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "support.h"


void
on_new_file1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
FILE *tmp;

  tmp = popen("/bin/mount /mnt/dvd", "w");

  pclose(tmp);

//
//  fileselection1 = create_fileselection1 ();
//  gtk_widget_show (fileselection1);
//
}


void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
exit(0);
}


void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_properties1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  GtkWidget *propertybox1;

  propertybox1 = create_propertybox1 ();
  gtk_widget_show (propertybox1);
}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  GtkWidget *about2;

  about2 = create_about2 ();
  gtk_widget_show (about2);
}


void
on_open_disc_clicked                   (GtkButton       *button,
                                        gpointer         user_data)
{
FILE *tmp;

  tmp = popen("/bin/mount /mnt/dvd", "w");

  pclose(tmp);

  //GtkWidget *fileselection1;

  //fileselection1 = create_fileselection1 ();
  //gtk_widget_show (fileselection1);
}


void
on_bookmark_new_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *messagebox1;

  messagebox1 = create_messagebox1 ();
  gtk_widget_show (messagebox1);
}


void
on_bookmark_jump_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
  GtkWidget *messagebox1;

  messagebox1 = create_messagebox1 ();
  gtk_widget_show (messagebox1);
}

void
on_eject_disc_clicked                 (GtkButton	*button,
					gpointer	user_data)
{
dvd_info_t *dvd = (dvd_info_t *)user_data;
FILE *tmp;

  tmp = popen("/bin/umount /mnt/dvd", "w");
  sleep(3);
  tmp = popen("/usr/bin/eject /mnt/dvd", "w");
  pclose(tmp);

}


void 
on_dvd_play_clicked                    (GtkButton       *button,
					gpointer	user_data)
{

dvd_info_t *dvd = (dvd_info_t *)user_data;
char buf[1001];

switch(dvd->p_status)
{
  case PLAYER_STATUS_STOP: 
    g_snprintf(buf, sizeof(buf), "/usr/local/bin/dvdplay -cT "
  		"/mnt/dvd/VIDEO_TS/VTS_01_1.VOB ");

    (dvd->file) = popen(buf, "w");
    (dvd->p_status) = PLAYER_STATUS_PLAY;
    break;
  case PLAYER_STATUS_PLAY:
    printf("Already playing.\r\n");
    break;
  case PLAYER_STATUS_PAUSE:
    fprintf((dvd->file), "f");
    fflush(dvd->file);
    printf("Stepping.\r\n"); 
    break;
  default:
    printf("Error.\r\n");
  }
}


void
on_dvd_pause_clicked                   (GtkButton       *button,
                                        gpointer        user_data)
{

dvd_info_t *dvd = (dvd_info_t *)user_data;

switch(dvd->p_status) 
{
  case 1:
    fprintf((dvd->file), "p");
    fflush((dvd->file));
    (dvd->p_status) = 2;
    printf("Pause\r\n");
    break;
  case 2:
    fprintf((dvd->file), "p");
    fflush((dvd->file));
    (dvd->p_status) = 1;
    printf("UnPause\r\n");
    break;
  default:
    printf("Error.\r\n");
}
}

void
on_dvd_stop_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
dvd_info_t *dvd = (dvd_info_t *)user_data;

switch(dvd->p_status)
{
  case PLAYER_STATUS_STOP:
    printf("Already stoped.\r\n");
    break;
  case PLAYER_STATUS_PLAY:
    fprintf(dvd->file, "s"); 
    fflush(dvd->file);
    pclose(dvd->file);
    (dvd->p_status) = PLAYER_STATUS_STOP;
    printf("Stoped.\r\n");
    break;
  case PLAYER_STATUS_PAUSE:
    fprintf(dvd->file, "p");
    fprintf(dvd->file, "s"); 
    fflush(dvd->file); 
    pclose(dvd->file);
    (dvd->p_status) = PLAYER_STATUS_STOP;
    printf("Stoped.\r\n");
    break;

  default:
    printf("Error.\r\n");
}
  

}

void
on_dvd_back_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
dvd_info_t *dvd = (dvd_info_t *)user_data;

  fprintf(dvd->file, "v");
  fflush(dvd->file);

  printf("Back\r\n");

}


void
on_dvd_forward_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
dvd_info_t *dvd = (dvd_info_t *)user_data;

  fprintf(dvd->file, "n");
  fflush(dvd->file);

  printf("Forward\r\n");

}

